Bubble Developer Guide
======================
This guide is intended for developers who would like to work directly with the Bubble source code.

For API-level details, see the [Bubble API Guide](https://github.com/getbubblenow/bubble-docs/blob/master/api/README.md)
and the [Bubble API Reference](https://app.getbubblenow.com/apidocs/)

# Vagrant Setup
The easiest way to get started with Bubble is to use the [Vagrant Developer Setup](dev_vagrant.md).

# Manual Setup
If you'd prefer not to use Vagrant or want to build things locally, follow
the [Bubble Manual Development Setup](dev_manual.md) instructions.

# Development Tasks
Whether you choose to use Vagrant or set things up manually,
read [Bubble Developer Tasks](dev_tasks.md) to understand how to keep the code
up to date, run the API server, rebuild the jar, and more.

## Next
What to do next depends on what you want to do with Bubble.

If you've started the Bubble API already using `run.sh`, and want to launch a Bubble,
continue with [activation](activation.md).

Would you like more guidance on starting the [Local Launcher](local-launcher.md)?

If all you want to do is launch your own Bubble, starting with
the [Bubble Docker Launcher](docker-launcher.md) is probably faster and easier.

Or perhaps you want to interact with Bubble programmatically? Explore the
[Bubble API Guide](https://github.com/getbubblenow/bubble-docs/blob/master/api/README.md) and
[Bubble API Reference](https://app.getbubblenow.com/apidocs/).
